Skip to main content
GET
/
v1
/
renovations
/
{renovation_id}
/
reports
cURL
curl --request GET \
  --url https://public-api.setle.app/v1/renovations/{renovation_id}/reports \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://public-api.setle.app/v1/renovations/{renovation_id}/reports"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://public-api.setle.app/v1/renovations/{renovation_id}/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "url": "https://cdn.setle.app/app/renovation_reports/xxx/xxx/xxx.pdf",
    "is_outdated": true,
    "id": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "name": "<string>"
  }
]
{
"statusCode": 400,
"message": [
"Name should not be empty.",
"Password must contain at least 1 uppercase character."
],
"error": "Bad Request"
}
{}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

renovation_id
string
required

Response

Successfully processed request.

url
string
required

A url pointing to the PDF on our Setle CDN, please note it is possible that you have a private CDN setup. Contact Setle in this case to verify your CDN domain

Example:

"https://cdn.setle.app/app/renovation_reports/xxx/xxx/xxx.pdf"

is_outdated
boolean
required

Indicates if the report is outdated based on the current data

Example:

true

id
string
required
created_at
string<date-time>
required
name
string
required